Pagina 3 di 27

Re: [Progetto] Soglie Traffico Internet + integrazione con NetworkManager

Inviato: domenica 30 agosto 2009, 17:10
da orpheus
NK ha scritto:

Chiariamo subito un concetto: io non ho problemi! 8)  al massimo li risolvo!!  ;D  (sta parlando NK)
Oddio...,mi devi perdonare,ho fatto un errore clamoroso,ti ho scambiato per oscarmike,ormai mi stò cecando e ho scambiato i Nicknames...ti chedo umilmente scusa  :-[
Ovviamente letto come prima il mio post non ha senso,al posto di Nk va letto oscarmike...che pasticcio!

Allora,tornando al vero Nk,
al primo comando (dpkg -l | grep gtk2 > out) non ho avuto alcuna risposta...
al secondo comando (gedit out)ho avuto questa risposta:
ii  gtk2-engines                              1:2.16.1-0ubuntu1                                          theme engines for GTK+ 2.x
ii  gtk2-engines-murrine                      0.60.1                                                    cairo-based gtk+-2.0 theme engine
ii  gtk2-engines-pixbuf                        2.14.4-0ubuntu1                                            Pixbuf-based theme for GTK+ 2.x
ii  libgtk2-perl                              1:1.183-1                                                  Perl interface to the 2.x series of the Gimp
ii  libgtk2.0-0                                2.14.4-0ubuntu1                                            The GTK+ graphical user interface library
ii  libgtk2.0-bin                              2.14.4-0ubuntu1                                            The programs for the GTK+ graphical user int
ii  libgtk2.0-cil                              2.12.1-1ubuntu2                                            CLI binding for the GTK+ toolkit 2.12
ii  libgtk2.0-common                          2.14.4-0ubuntu1                                            Common files for the GTK+ graphical user int
ii  libswt3.2-gtk-gcj                          3.2.2-5ubuntu2                                            Fast and rich GUI toolkit for Java, gtk2 (GC
ii  libswt3.2-gtk-java                        3.2.2-5ubuntu2                                            Fast and rich GUI toolkit for Java, gtk2 ver
ii  libwxgtk2.6-0                              2.6.3.2.2-2ubuntu5                                        wxWidgets Cross-platform C++ GUI toolkit (GT
ii  libwxgtk2.8-0                              2.8.8.0-0ubuntu2                                          wxWidgets Cross-platform C++ GUI toolkit (GT
ii  python-gtk2                                2.13.0-0ubuntu8                                            Python bindings for the GTK+ widget set
ii  scim-gtk2-immodule                        1.4.7-3ubuntu10                                            GTK+2 input method module with SCIM as backe

Re: [Progetto] Soglie Traffico Internet + integrazione con NetworkManager

Inviato: domenica 30 agosto 2009, 22:21
da NK
orpheus ha scritto: Oddio...,mi devi perdonare,ho fatto un errore clamoroso,ti ho scambiato per oscarmike,ormai mi stò cecando e ho scambiato i Nicknames...ti chedo umilmente scusa  :-[
Ovviamente letto come prima il mio post non ha senso,al posto di Nk va letto oscarmike...che pasticcio!
Perdono concesso.  8)  Ma la prossima volta ti verrà tagliata una mano  ;D
orpheus ha scritto: Allora,tornando al vero Nk,
al primo comando (dpkg -l | grep gtk2 > out) non ho avuto alcuna risposta...
al secondo comando (gedit out)ho avuto questa risposta:
ii  gtk2-engines                               1:2.16.1-0ubuntu1                                          theme engines for GTK+ 2.x
ii  gtk2-engines-murrine                       0.60.1                                                     cairo-based gtk+-2.0 theme engine
ii  gtk2-engines-pixbuf                        2.14.4-0ubuntu1                                            Pixbuf-based theme for GTK+ 2.x
ii  libgtk2-perl                               1:1.183-1                                                  Perl interface to the 2.x series of the Gimp
ii  libgtk2.0-0                                2.14.4-0ubuntu1                                            The GTK+ graphical user interface library
ii  libgtk2.0-bin                              2.14.4-0ubuntu1                                            The programs for the GTK+ graphical user int
ii  libgtk2.0-cil                              2.12.1-1ubuntu2                                            CLI binding for the GTK+ toolkit 2.12
ii  libgtk2.0-common                           2.14.4-0ubuntu1                                            Common files for the GTK+ graphical user int
ii  libswt3.2-gtk-gcj                          3.2.2-5ubuntu2                                             Fast and rich GUI toolkit for Java, gtk2 (GC
ii  libswt3.2-gtk-java                         3.2.2-5ubuntu2                                             Fast and rich GUI toolkit for Java, gtk2 ver
ii  libwxgtk2.6-0                              2.6.3.2.2-2ubuntu5                                         wxWidgets Cross-platform C++ GUI toolkit (GT
ii  libwxgtk2.8-0                              2.8.8.0-0ubuntu2                                           wxWidgets Cross-platform C++ GUI toolkit (GT
ii  python-gtk2                                2.13.0-0ubuntu8                                            Python bindings for the GTK+ widget set
ii  scim-gtk2-immodule                         1.4.7-3ubuntu10                                            GTK+2 input method module with SCIM as backe
Si hai diverse librerie con versioni minori.
Il problema è che nei tuoi repository (cioè la lista dei pacchetti che puoi installare) sono quelli della ubuntu 8.10 in cui non ci sono le nuove versioni.
Intanto ho rilasciato una nuova versione di NTM la 0.9.3.2 (solito sito) in cui ho cambiato solo il pacchetto deb in cui ho specificato le versioni dei pacchetti che servono a NTM.  In questo modo prima dell'installazione effettiva di NTM proverà a installare le nuove versioni non già installate e se non le trova te lo dirà.
Quindi ti posso indicare due vie:
1) Installi uno per uno i pacchetti che ti servono, cioè quelli che ti vengono segnalati quando installi NTM 0.9.3.2: questi pacchetti li devi cercare qui http://packages.ubuntu.com/jaunty/ scaricarteli e istallarli  >:(
2) Aggiorni la tua Ubuntu 8.10 alla 9.04, che si fa con pochi click  (yes)
Vai in questa pagina e leggere la sezione "Per l’aggiornamento vero e proprio seguite questi passi:"

Facci sapere

Re: [Progetto] Soglie Traffico Internet + integrazione con NetworkManager

Inviato: lunedì 31 agosto 2009, 16:54
da orpheus
Ok,grazie mille Nk!
Appena deciderò quale delle 2 vie sceglierò  farò sapere !

Re: [Progetto] Soglie Traffico Internet + integrazione con NetworkManager

Inviato: giovedì 3 settembre 2009, 14:01
da pieri
Straficus NK!
Ora finalmente farò fare il salto anche al mio venerando genitore, che se avesse mai ricevuto bollette eccessive mi avrebbe diseredato  (good)

Grazie!!!
p

Re: [Progetto] Soglie Traffico Internet + integrazione con NetworkManager

Inviato: domenica 6 settembre 2009, 22:31
da oscarmike
scusa il ritardo nella risposta ma ho avuto mille altri casini che mi hanno distratto dal problema.
allora...
la modifica al file non ha portato a migliorie.
al lancio del programma si apre qualcosa che in una frazione di secondo si richiude.
sotto ti rimando il file di log ma, ho visto la risposta che hai dato all'amico e ho provato a scaricare il nuovo pacchetto: al lancio del programma per installarlo mi da "Error: Dependency is not satisfiable: python2.6" per cui suppongo  di avere una versione di python non compatibile.
ti mando comunque il file di log.

Codice: Seleziona tutto

<<NEW RUN>>
0.9.3.1
2009-08-22 19:37:14
Linux EeePC-mio 2.6.27-8-eeepc #1 SMP Sun Nov 16 12:02:12 MST 2008 i686 GNU/Linux

Traceback (most recent call last):
  File "ntm.py", line 528, in <module>
    ntm = NTM()
  File "ntm.py", line 77, in __init__
    self.ntmgui = ntmgui.NtmGui(self)
  File "/usr/share/ntm/ntmgui.py", line 40, in __init__
    gtkb.add_from_file("ntmgui_v.glade")
glib.GError: ntmgui_v.glade: required gtk+ version 2.16, current version is 2.14


<<NEW RUN>>
0.9.3.1
2009-08-22 19:37:41
Linux EeePC-mio 2.6.27-8-eeepc #1 SMP Sun Nov 16 12:02:12 MST 2008 i686 GNU/Linux

Traceback (most recent call last):
  File "ntm.py", line 528, in <module>
    ntm = NTM()
  File "ntm.py", line 77, in __init__
    self.ntmgui = ntmgui.NtmGui(self)
  File "/usr/share/ntm/ntmgui.py", line 40, in __init__
    gtkb.add_from_file("ntmgui_v.glade")
glib.GError: ntmgui_v.glade: required gtk+ version 2.16, current version is 2.14


<<NEW RUN>>
0.9.3.1
2009-08-22 19:44:17
Linux EeePC-mio 2.6.27-8-eeepc #1 SMP Sun Nov 16 12:02:12 MST 2008 i686 GNU/Linux

Traceback (most recent call last):
  File "ntm.py", line 528, in <module>
    ntm = NTM()
  File "ntm.py", line 77, in __init__
    self.ntmgui = ntmgui.NtmGui(self)
  File "/usr/share/ntm/ntmgui.py", line 40, in __init__
    gtkb.add_from_file("ntmgui_v.glade")
glib.GError: ntmgui_v.glade: required gtk+ version 2.16, current version is 2.14


<<NEW RUN>>
0.9.3.1
2009-08-23 00:16:59
Linux EeePC-mio 2.6.27-8-eeepc #1 SMP Sun Nov 16 12:02:12 MST 2008 i686 GNU/Linux

Traceback (most recent call last):
  File "ntm.py", line 528, in <module>
    ntm = NTM()
  File "ntm.py", line 77, in __init__
    self.ntmgui = ntmgui.NtmGui(self)
  File "/usr/share/ntm/ntmgui.py", line 40, in __init__
    gtkb.add_from_file("ntmgui_v.glade")
glib.GError: ntmgui_v.glade: required gtk+ version 2.16, current version is 2.14


<<NEW RUN>>
0.9.3.1
2009-08-23 00:18:12
Linux EeePC-mio 2.6.27-8-eeepc #1 SMP Sun Nov 16 12:02:12 MST 2008 i686 GNU/Linux

Traceback (most recent call last):
  File "ntm.py", line 528, in <module>
    ntm = NTM()
  File "ntm.py", line 77, in __init__
    self.ntmgui = ntmgui.NtmGui(self)
  File "/usr/share/ntm/ntmgui.py", line 40, in __init__
    gtkb.add_from_file("ntmgui_v.glade")
glib.GError: ntmgui_v.glade: required gtk+ version 2.16, current version is 2.14


<<NEW RUN>>
0.9.3.1
2009-08-26 08:26:42
Linux EeePC-mio 2.6.27-8-eeepc #1 SMP Sun Nov 16 12:02:12 MST 2008 i686 GNU/Linux

Traceback (most recent call last):
  File "ntm.py", line 528, in <module>
    ntm = NTM()
  File "ntm.py", line 77, in __init__
    self.ntmgui = ntmgui.NtmGui(self)
  File "/usr/share/ntm/ntmgui.py", line 40, in __init__
    gtkb.add_from_file("ntmgui_v.glade")
glib.GError: ntmgui_v.glade: required gtk+ version 2.16, current version is 2.14


<<NEW RUN>>
0.9.3.1
2009-08-26 20:50:02
Linux EeePC-mio 2.6.27-8-eeepc #1 SMP Sun Nov 16 12:02:12 MST 2008 i686 GNU/Linux

/usr/share/ntm/ntmgui.py:40: GtkWarning: Unknown property: GtkImageMenuItem.label
  gtkb.add_from_file("ntmgui_v.glade")
/usr/share/ntm/ntmgui.py:40: GtkWarning: Unknown property: GtkImageMenuItem.use-stock
  gtkb.add_from_file("ntmgui_v.glade")
/usr/share/ntm/ntmgui.py:40: GtkWarning: Unknown property: GtkImageMenuItem.use-underline
  gtkb.add_from_file("ntmgui_v.glade")
/usr/share/ntm/ntmgui.py:40: GtkWarning: Unknown property: GtkVBox.orientation
  gtkb.add_from_file("ntmgui_v.glade")
/usr/share/ntm/ntmgui.py:40: GtkWarning: Unknown property: GtkVSeparator.orientation
  gtkb.add_from_file("ntmgui_v.glade")
Traceback (most recent call last):
  File "ntm.py", line 528, in <module>
    ntm = NTM()
  File "ntm.py", line 189, in __init__
    self.ntmgui.setTraffic(self.traffic_in, self.traffic_out, self.trafficLimit, 0.0)
  File "/usr/share/ntm/ntmgui.py", line 396, in setTraffic
    self.trafficFrame_topLabel.set_markup("<small>({0:.1f}%)</small>".format(per))
AttributeError: 'str' object has no attribute 'format'


<<NEW RUN>>
0.9.3.1
2009-08-26 20:50:19
Linux EeePC-mio 2.6.27-8-eeepc #1 SMP Sun Nov 16 12:02:12 MST 2008 i686 GNU/Linux

/usr/share/ntm/ntmgui.py:40: GtkWarning: Unknown property: GtkImageMenuItem.label
  gtkb.add_from_file("ntmgui_v.glade")
/usr/share/ntm/ntmgui.py:40: GtkWarning: Unknown property: GtkImageMenuItem.use-stock
  gtkb.add_from_file("ntmgui_v.glade")
/usr/share/ntm/ntmgui.py:40: GtkWarning: Unknown property: GtkImageMenuItem.use-underline
  gtkb.add_from_file("ntmgui_v.glade")
/usr/share/ntm/ntmgui.py:40: GtkWarning: Unknown property: GtkVBox.orientation
  gtkb.add_from_file("ntmgui_v.glade")
/usr/share/ntm/ntmgui.py:40: GtkWarning: Unknown property: GtkVSeparator.orientation
  gtkb.add_from_file("ntmgui_v.glade")
Traceback (most recent call last):
  File "ntm.py", line 528, in <module>
    ntm = NTM()
  File "ntm.py", line 189, in __init__
    self.ntmgui.setTraffic(self.traffic_in, self.traffic_out, self.trafficLimit, 0.0)
  File "/usr/share/ntm/ntmgui.py", line 396, in setTraffic
    self.trafficFrame_topLabel.set_markup("<small>({0:.1f}%)</small>".format(per))
AttributeError: 'str' object has no attribute 'format'


<<NEW RUN>>
0.9.3.1
2009-08-26 21:50:41
Linux EeePC-mio 2.6.27-8-eeepc #1 SMP Sun Nov 16 12:02:12 MST 2008 i686 GNU/Linux

Traceback (most recent call last):
  File "ntm.py", line 528, in <module>
    ntm = NTM()
  File "ntm.py", line 77, in __init__
    self.ntmgui = ntmgui.NtmGui(self)
  File "/usr/share/ntm/ntmgui.py", line 40, in __init__
    gtkb.add_from_file("ntmgui_v.glade")
glib.GError: ntmgui_v.glade: required gtk+ version 2.16, current version is 2.14


<<NEW RUN>>
0.9.3.1
2009-08-26 22:02:02
Linux EeePC-mio 2.6.27-8-eeepc #1 SMP Sun Nov 16 12:02:12 MST 2008 i686 GNU/Linux

Traceback (most recent call last):
  File "ntm.py", line 528, in <module>
    ntm = NTM()
  File "ntm.py", line 77, in __init__
    self.ntmgui = ntmgui.NtmGui(self)
  File "/usr/share/ntm/ntmgui.py", line 40, in __init__
    gtkb.add_from_file("ntmgui_v.glade")
glib.GError: ntmgui_v.glade: required gtk+ version 2.16, current version is 2.14


<<NEW RUN>>
0.9.3.1
2009-08-26 22:09:34
Linux EeePC-mio 2.6.27-8-eeepc #1 SMP Sun Nov 16 12:02:12 MST 2008 i686 GNU/Linux

Traceback (most recent call last):
  File "ntm.py", line 528, in <module>
    ntm = NTM()
  File "ntm.py", line 77, in __init__
    self.ntmgui = ntmgui.NtmGui(self)
  File "/usr/share/ntm/ntmgui.py", line 40, in __init__
    gtkb.add_from_file("ntmgui_v.glade")
glib.GError: ntmgui_v.glade: required gtk+ version 2.16, current version is 2.14


<<NEW RUN>>
0.9.3.1
2009-08-26 22:11:28
Linux EeePC-mio 2.6.27-8-eeepc #1 SMP Sun Nov 16 12:02:12 MST 2008 i686 GNU/Linux

Traceback (most recent call last):
  File "ntm.py", line 528, in <module>
    ntm = NTM()
  File "ntm.py", line 77, in __init__
    self.ntmgui = ntmgui.NtmGui(self)
  File "/usr/share/ntm/ntmgui.py", line 40, in __init__
    gtkb.add_from_file("ntmgui_v.glade")
glib.GError: ntmgui_v.glade: required gtk+ version 2.16, current version is 2.14


<<NEW RUN>>
0.9.3.1
2009-08-26 22:32:57
Linux EeePC-mio 2.6.27-8-eeepc #1 SMP Sun Nov 16 12:02:12 MST 2008 i686 GNU/Linux

/usr/share/ntm/ntmgui.py:40: GtkWarning: Unknown property: GtkImageMenuItem.label
  gtkb.add_from_file("ntmgui_v.glade")
/usr/share/ntm/ntmgui.py:40: GtkWarning: Unknown property: GtkImageMenuItem.use-stock
  gtkb.add_from_file("ntmgui_v.glade")
/usr/share/ntm/ntmgui.py:40: GtkWarning: Unknown property: GtkImageMenuItem.use-underline
  gtkb.add_from_file("ntmgui_v.glade")
/usr/share/ntm/ntmgui.py:40: GtkWarning: Unknown property: GtkVBox.orientation
  gtkb.add_from_file("ntmgui_v.glade")
/usr/share/ntm/ntmgui.py:40: GtkWarning: Unknown property: GtkVSeparator.orientation
  gtkb.add_from_file("ntmgui_v.glade")
Traceback (most recent call last):
  File "ntm.py", line 528, in <module>
    ntm = NTM()
  File "ntm.py", line 189, in __init__
    self.ntmgui.setTraffic(self.traffic_in, self.traffic_out, self.trafficLimit, 0.0)
  File "/usr/share/ntm/ntmgui.py", line 396, in setTraffic
    self.trafficFrame_topLabel.set_markup("<small>({0:.1f}%)</small>".format(per))
AttributeError: 'str' object has no attribute 'format'


<<NEW RUN>>
0.9.3.1
2009-08-28 15:08:16
Linux EeePC-mio 2.6.27-8-eeepc #1 SMP Sun Nov 16 12:02:12 MST 2008 i686 GNU/Linux

Traceback (most recent call last):
  File "ntm.py", line 528, in <module>
    ntm = NTM()
  File "ntm.py", line 77, in __init__
    self.ntmgui = ntmgui.NtmGui(self)
  File "/usr/share/ntm/ntmgui.py", line 40, in __init__
    gtkb.add_from_file("ntmgui_v.glade")
glib.GError: ntmgui_v.glade: required gtk+ version 2.16, current version is 2.14


<<NEW RUN>>
0.9.3.1
2009-08-29 21:36:01
Linux EeePC-mio 2.6.27-8-eeepc #1 SMP Sun Nov 16 12:02:12 MST 2008 i686 GNU/Linux

Traceback (most recent call last):
  File "ntm.py", line 528, in <module>
    ntm = NTM()
  File "ntm.py", line 77, in __init__
    self.ntmgui = ntmgui.NtmGui(self)
  File "/usr/share/ntm/ntmgui.py", line 40, in __init__
    gtkb.add_from_file("ntmgui_v.glade")
glib.GError: ntmgui_v.glade: required gtk+ version 2.16, current version is 2.14


<<NEW RUN>>
0.9.3.1
2009-09-02 18:54:48
Linux EeePC-mio 2.6.27-8-eeepc #1 SMP Sun Nov 16 12:02:12 MST 2008 i686 GNU/Linux

Traceback (most recent call last):
  File "ntm.py", line 528, in <module>
    ntm = NTM()
  File "ntm.py", line 77, in __init__
    self.ntmgui = ntmgui.NtmGui(self)
  File "/usr/share/ntm/ntmgui.py", line 40, in __init__
    gtkb.add_from_file("ntmgui_v.glade")
glib.GError: ntmgui_v.glade: required gtk+ version 2.16, current version is 2.14


<<NEW RUN>>
0.9.3.1
2009-09-06 21:57:04
Linux EeePC-mio 2.6.27-8-eeepc #1 SMP Sun Nov 16 12:02:12 MST 2008 i686 GNU/Linux

/usr/share/ntm/ntmgui.py:40: GtkWarning: Unknown property: GtkImageMenuItem.label
  gtkb.add_from_file("ntmgui_v.glade")
/usr/share/ntm/ntmgui.py:40: GtkWarning: Unknown property: GtkImageMenuItem.use-stock
  gtkb.add_from_file("ntmgui_v.glade")
/usr/share/ntm/ntmgui.py:40: GtkWarning: Unknown property: GtkImageMenuItem.use-underline
  gtkb.add_from_file("ntmgui_v.glade")
/usr/share/ntm/ntmgui.py:40: GtkWarning: Unknown property: GtkVBox.orientation
  gtkb.add_from_file("ntmgui_v.glade")
/usr/share/ntm/ntmgui.py:40: GtkWarning: Unknown property: GtkVSeparator.orientation
  gtkb.add_from_file("ntmgui_v.glade")
Traceback (most recent call last):
  File "ntm.py", line 528, in <module>
    ntm = NTM()
  File "ntm.py", line 189, in __init__
    self.ntmgui.setTraffic(self.traffic_in, self.traffic_out, self.trafficLimit, 0.0)
  File "/usr/share/ntm/ntmgui.py", line 396, in setTraffic
    self.trafficFrame_topLabel.set_markup("<small>({0:.1f}%)</small>".format(per))
AttributeError: 'str' object has no attribute 'format'


<<NEW RUN>>
0.9.3.1
2009-09-06 22:03:06
Linux EeePC-mio 2.6.27-8-eeepc #1 SMP Sun Nov 16 12:02:12 MST 2008 i686 GNU/Linux

/usr/share/ntm/ntmgui.py:40: GtkWarning: Unknown property: GtkImageMenuItem.label
  gtkb.add_from_file("ntmgui_v.glade")
/usr/share/ntm/ntmgui.py:40: GtkWarning: Unknown property: GtkImageMenuItem.use-stock
  gtkb.add_from_file("ntmgui_v.glade")
/usr/share/ntm/ntmgui.py:40: GtkWarning: Unknown property: GtkImageMenuItem.use-underline
  gtkb.add_from_file("ntmgui_v.glade")
/usr/share/ntm/ntmgui.py:40: GtkWarning: Unknown property: GtkVBox.orientation
  gtkb.add_from_file("ntmgui_v.glade")
/usr/share/ntm/ntmgui.py:40: GtkWarning: Unknown property: GtkVSeparator.orientation
  gtkb.add_from_file("ntmgui_v.glade")
Traceback (most recent call last):
  File "ntm.py", line 528, in <module>
    ntm = NTM()
  File "ntm.py", line 189, in __init__
    self.ntmgui.setTraffic(self.traffic_in, self.traffic_out, self.trafficLimit, 0.0)
  File "/usr/share/ntm/ntmgui.py", line 396, in setTraffic
    self.trafficFrame_topLabel.set_markup("<small>({0:.1f}%)</small>".format(per))
AttributeError: 'str' object has no attribute 'format'
grazie.
oscarmike.-
ps: non so se la tua applicazione lo fa ma a me servirebbe anche sapere la velocità della connessione GSM/GPRS/UMTS/HSDPA. grazie.


edit dello staff: meglio usare i tags code, per migliorare la leggibilità con codici così lunghi

Re: [Progetto] Soglie Traffico Internet + integrazione con NetworkManager

Inviato: lunedì 14 settembre 2009, 10:48
da oscarmike
??? ::)
allora.... ho provato ad installare la nuova release trovata sul sito ma mi chiede python2.6 ed io ho a bordo la 3. ho provato comunque ad installare la 2.6 e mi chiede la libsqlite3-0_3.5.9-6_i386. ho provato ad installarla e mi dice che a sistema c'è già una versione libsqlite3-0 più recente (ho verificato con Synaptic ed è vero).
non so più che pesci pigliare!
oscarmike.-

Re: [Progetto] Soglie Traffico Internet + integrazione con NetworkManager

Inviato: lunedì 14 settembre 2009, 12:22
da NK
@pieri
prego!

@oscarmike
Python 3 dovrebbe andare benissimo,
credo che l'istallazione ti ha dato problemi a causa  di un'imperfezione nel deb che ho fatto.

Per essere sicuri, esegui questo comando nel terminale e dimmi cosa restituisce:

Codice: Seleziona tutto

python -V
Se il problema è solo il deb puoi usare semplicemente l'archivio:
- Apri il terminale ed esegui questi comandi:

Codice: Seleziona tutto

mkdir ntm
cd ntm
wget http://sourceforge.net/projects/netramon/files/NTM/ntm-0.9.x/ntm-0.9.3.1.tar.gz/download
tar -zxvf ntm-0.9.3.1.tar.gz
- Ora esegui NTM:

Codice: Seleziona tutto

./run_ntm.sh
Vedi se funziona

Se non va postami il solito log:

Codice: Seleziona tutto

gedit ~/.ntm/ntm.log
Ora purtroppo non ho proprio tempo, tra qualche giorno mi sarò liberato e vedrò di sistemare le dipendenze nel deb.

Per la velocità, NTM ti da la velocità istantanea del traffico che stai usando. Si trova nella finestra principale (vedi screenshot), è la barra orizzontale in arancione.

Ciao

[Progetto] [Progetto] Re: [Progetto] Soglie Traffico Internet + integrazione con NetworkManager

Inviato: sabato 26 settembre 2009, 11:19
da Gioggio76
Ciao, io ho appena installato il tuo programma, solo che mi visualizza solo il traffico in MB, invece a me serve quello a tempo per una connessione con Vodafone. Puoi aiutarmi? Grazie...

Come non detto: più semplice di quanto pensavo.
Basta andare alle proprietà del programma per abilitare... >:(
Ma la stessa cosa vale per la lingua italiano? Perchè ancora non ho avuto tempo di smanettarci con questo tuo programma....
Solo una cosa: COMPLIMENTI PER IL LAVORO SVOLTO!!!

Re: [Progetto] Soglie Traffico Internet + integrazione con NetworkManager

Inviato: domenica 11 ottobre 2009, 23:53
da زΛςκΛζ
ciao ho installato il tuo deb, però quando avvio il programma, non mi carica nulla, ti allego cosa mi da nella console.

Codice: Seleziona tutto

tommaso@tommaso-laptop:~$ ntm
 

Python 2.6.3
tommaso@tommaso-laptop:~$ 

e non si apre nulla...puoi aiutarmi?

Re: [Progetto] Soglie Traffico Internet + integrazione con NetworkManager

Inviato: lunedì 12 ottobre 2009, 11:50
da NK
Gioggio76 ha scritto: Ciao, io ho appena installato il tuo programma, solo che mi visualizza solo il traffico in MB, invece a me serve quello a tempo per una connessione con Vodafone. Puoi aiutarmi? Grazie...

Come non detto: più semplice di quanto pensavo.
Basta andare alle proprietà del programma per abilitare... >:(
Ma la stessa cosa vale per la lingua italiano? Perchè ancora non ho avuto tempo di smanettarci con questo tuo programma....
Solo una cosa: COMPLIMENTI PER IL LAVORO SVOLTO!!!
Grazie. Per ora è solo in inglese.

زΛςκΛζ ha scritto: ciao ho installato il tuo deb, però quando avvio il programma, non mi carica nulla, ti allego cosa mi da nella console.

Codice: Seleziona tutto

tommaso@tommaso-laptop:~$ ntm
 

Python 2.6.3
tommaso@tommaso-laptop:~$ 

e non si apre nulla...puoi aiutarmi?
Postami qui il log di ntm, di seguito c'è il comando:

Codice: Seleziona tutto

gedit ~/.ntm/ntm.log
Dimmi pure quale distribuzione hai

PS
Sto lavorando alla nuova versione. Stay tuned!  (yes)

Re: [Progetto] Soglie Traffico Internet + integrazione con NetworkManager

Inviato: lunedì 12 ottobre 2009, 12:16
da derma
Stesso output da me (KK... beta)... il log...

Codice: Seleziona tutto


<<NEW RUN>>
0.9.3.2
2009-10-12 11:11:25
Linux amred-laptop 2.6.31-13-generic #44-Ubuntu SMP Sat Oct 10 15:27:55 UTC 2009 i686 GNU/Linux

Traceback (most recent call last):
  File "ntm.py", line 528, in <module>
    ntm = NTM()
  File "ntm.py", line 77, in __init__
    self.ntmgui = ntmgui.NtmGui(self)
  File "/home/amred/Scaricati/ntm-0.9.3.2/usr/share/ntm/ntmgui.py", line 40, in __init__
    gtkb.add_from_file("ntmgui_v.glade")
glib.GError: ID di oggetto "vbox1" duplicato alla riga 410 (il precedente è alla riga 321)



...ad essere precisi l'output era/è "Python 2.6.4rc1" anziché "Python 2.6.3".

Re: [Progetto] Soglie Traffico Internet + integrazione con NetworkManager

Inviato: lunedì 12 ottobre 2009, 14:25
da NK
derma ha scritto: Stesso output da me (KK... beta)... il log...

Codice: Seleziona tutto

<<NEW RUN>>
0.9.3.2
2009-10-12 11:11:25
Linux amred-laptop 2.6.31-13-generic #44-Ubuntu SMP Sat Oct 10 15:27:55 UTC 2009 i686 GNU/Linux

Traceback (most recent call last):
  File "ntm.py", line 528, in <module>
    ntm = NTM()
  File "ntm.py", line 77, in __init__
    self.ntmgui = ntmgui.NtmGui(self)
  File "/home/amred/Scaricati/ntm-0.9.3.2/usr/share/ntm/ntmgui.py", line 40, in __init__
    gtkb.add_from_file("ntmgui_v.glade")
glib.GError: ID di oggetto "vbox1" duplicato alla riga 410 (il precedente è alla riga 321)
...ad essere precisi l'output era/è "Python 2.6.4rc1" anziché "Python 2.6.3".
E' un bug presente nel file  ntmgui_v.glade, che ho corretto nella versione attualmente in sviluppo.
Se vuoi risolvere subito il problema devi fare una piccola modifica a mano.

La procedura:
1)
Per Gnome:

Codice: Seleziona tutto

sudo gedit NTM_DIRECTORY/ntmgui_v.glade
Per chi ha KDE:

Codice: Seleziona tutto

sudo kate NTM_DIRECTORY/ntmgui_v.glade
Dove NTM_DIRECTORY è la directory dove è installato il programma o dove è stato decompresso.
Per chi lo ha installato da .deb la suddetta directory è: /usr/share/ntm

2)
Posizionatevi sulla seguente riga:

Codice: Seleziona tutto

          <object class="GtkVBox" id="vbox1">
Che si trova, più o meno, a riga 410

3)
Modificate in questo modo

Codice: Seleziona tutto

          <object class="GtkVBox" id="vbox2">
4)
Salvate ed uscite.
Riavviate ntm.

Fammi sapere

Re: [Progetto] Soglie Traffico Internet + integrazione con NetworkManager

Inviato: lunedì 12 ottobre 2009, 14:57
da derma
Anche apportando la modifica da te indicata, il programma non parte restituendo l'output riportato nel precedente post.

Re: [Progetto] Soglie Traffico Internet + integrazione con NetworkManager

Inviato: lunedì 12 ottobre 2009, 15:45
da NK
derma ha scritto: Anche apportando la modifica da te indicata, il programma non parte restituendo l'output riportato nel precedente post.
Evidentemente non è l'unico bug.

Ripostami il nuovo log

Re: [Progetto] Soglie Traffico Internet + integrazione con NetworkManager

Inviato: lunedì 12 ottobre 2009, 15:49
da derma

Codice: Seleziona tutto


<<NEW RUN>>
0.9.3.2
2009-10-12 14:31:50
Linux amred-laptop 2.6.31-13-generic #44-Ubuntu SMP Sat Oct 10 15:27:55 UTC 2009 i686 GNU/Linux

Traceback (most recent call last):
  File "ntm.py", line 528, in <module>
    ntm = NTM()
  File "ntm.py", line 77, in __init__
    self.ntmgui = ntmgui.NtmGui(self)
  File "/usr/share/ntm/ntmgui.py", line 40, in __init__
    gtkb.add_from_file("ntmgui_v.glade")
glib.GError: ID di oggetto "label2" duplicato alla riga 419 (il precedente è alla riga 79)
Error in sys.excepthook:
Traceback (most recent call last):
  File "/usr/lib/python2.6/dist-packages/apport_python_hook.py", line 100, in apport_excepthook
    os.O_WRONLY|os.O_CREAT|os.O_EXCL), 'w')
OSError: [Errno 13] Permesso negato: '/var/crash/_usr_share_ntm_ntm.py.1000.crash'

Original exception was:
Traceback (most recent call last):
  File "ntm.py", line 528, in <module>
    ntm = NTM()
  File "ntm.py", line 77, in __init__
    self.ntmgui = ntmgui.NtmGui(self)
  File "/usr/share/ntm/ntmgui.py", line 40, in __init__
    gtkb.add_from_file("ntmgui_v.glade")
glib.GError: ID di oggetto "label2" duplicato alla riga 419 (il precedente è alla riga 79)


<<NEW RUN>>
0.9.3.2
2009-10-12 14:31:59
Linux amred-laptop 2.6.31-13-generic #44-Ubuntu SMP Sat Oct 10 15:27:55 UTC 2009 i686 GNU/Linux

Traceback (most recent call last):
  File "ntm.py", line 528, in <module>
    ntm = NTM()
  File "ntm.py", line 77, in __init__
    self.ntmgui = ntmgui.NtmGui(self)
  File "/usr/share/ntm/ntmgui.py", line 40, in __init__
    gtkb.add_from_file("ntmgui_v.glade")
glib.GError: ID di oggetto "label2" duplicato alla riga 419 (il precedente è alla riga 79)
Error in sys.excepthook:
Traceback (most recent call last):
  File "/usr/lib/python2.6/dist-packages/apport_python_hook.py", line 100, in apport_excepthook
    os.O_WRONLY|os.O_CREAT|os.O_EXCL), 'w')
OSError: [Errno 13] Permesso negato: '/var/crash/_usr_share_ntm_ntm.py.1000.crash'

Original exception was:
Traceback (most recent call last):
  File "ntm.py", line 528, in <module>
    ntm = NTM()
  File "ntm.py", line 77, in __init__
    self.ntmgui = ntmgui.NtmGui(self)
  File "/usr/share/ntm/ntmgui.py", line 40, in __init__
    gtkb.add_from_file("ntmgui_v.glade")
glib.GError: ID di oggetto "label2" duplicato alla riga 419 (il precedente è alla riga 79)


<<NEW RUN>>
0.9.3.2
2009-10-12 14:56:21
Linux amred-laptop 2.6.31-13-generic #44-Ubuntu SMP Sat Oct 10 15:27:55 UTC 2009 i686 GNU/Linux

Traceback (most recent call last):
  File "ntm.py", line 528, in <module>
    ntm = NTM()
  File "ntm.py", line 77, in __init__
    self.ntmgui = ntmgui.NtmGui(self)
  File "/usr/share/ntm/ntmgui.py", line 40, in __init__
    gtkb.add_from_file("ntmgui_v.glade")
glib.GError: ID di oggetto "vbox2" duplicato alla riga 410 (il precedente è alla riga 321)
Error in sys.excepthook:
Traceback (most recent call last):
  File "/usr/lib/python2.6/dist-packages/apport_python_hook.py", line 100, in apport_excepthook
    os.O_WRONLY|os.O_CREAT|os.O_EXCL), 'w')
OSError: [Errno 13] Permesso negato: '/var/crash/_usr_share_ntm_ntm.py.1000.crash'

Original exception was:
Traceback (most recent call last):
  File "ntm.py", line 528, in <module>
    ntm = NTM()
  File "ntm.py", line 77, in __init__
    self.ntmgui = ntmgui.NtmGui(self)
  File "/usr/share/ntm/ntmgui.py", line 40, in __init__
    gtkb.add_from_file("ntmgui_v.glade")
glib.GError: ID di oggetto "vbox2" duplicato alla riga 410 (il precedente è alla riga 321)


Re: [Progetto] Soglie Traffico Internet + integrazione con NetworkManager

Inviato: lunedì 12 ottobre 2009, 16:30
da NK
derma ha scritto:

Codice: Seleziona tutto

<<NEW RUN>>
0.9.3.2
2009-10-12 14:31:50
Linux amred-laptop 2.6.31-13-generic #44-Ubuntu SMP Sat Oct 10 15:27:55 UTC 2009 i686 GNU/Linux

Traceback (most recent call last):
  File "ntm.py", line 528, in <module>
    ntm = NTM()
  File "ntm.py", line 77, in __init__
    self.ntmgui = ntmgui.NtmGui(self)
  File "/usr/share/ntm/ntmgui.py", line 40, in __init__
    gtkb.add_from_file("ntmgui_v.glade")
glib.GError: ID di oggetto "label2" duplicato alla riga 419 (il precedente è alla riga 79)
Error in sys.excepthook:
Traceback (most recent call last):
  File "/usr/lib/python2.6/dist-packages/apport_python_hook.py", line 100, in apport_excepthook
    os.O_WRONLY|os.O_CREAT|os.O_EXCL), 'w')
OSError: [Errno 13] Permesso negato: '/var/crash/_usr_share_ntm_ntm.py.1000.crash'

Original exception was:
Traceback (most recent call last):
  File "ntm.py", line 528, in <module>
    ntm = NTM()
  File "ntm.py", line 77, in __init__
    self.ntmgui = ntmgui.NtmGui(self)
  File "/usr/share/ntm/ntmgui.py", line 40, in __init__
    gtkb.add_from_file("ntmgui_v.glade")
glib.GError: ID di oggetto "label2" duplicato alla riga 419 (il precedente è alla riga 79)


<<NEW RUN>>
0.9.3.2
2009-10-12 14:31:59
Linux amred-laptop 2.6.31-13-generic #44-Ubuntu SMP Sat Oct 10 15:27:55 UTC 2009 i686 GNU/Linux

Traceback (most recent call last):
  File "ntm.py", line 528, in <module>
    ntm = NTM()
  File "ntm.py", line 77, in __init__
    self.ntmgui = ntmgui.NtmGui(self)
  File "/usr/share/ntm/ntmgui.py", line 40, in __init__
    gtkb.add_from_file("ntmgui_v.glade")
glib.GError: ID di oggetto "label2" duplicato alla riga 419 (il precedente è alla riga 79)
Error in sys.excepthook:
Traceback (most recent call last):
  File "/usr/lib/python2.6/dist-packages/apport_python_hook.py", line 100, in apport_excepthook
    os.O_WRONLY|os.O_CREAT|os.O_EXCL), 'w')
OSError: [Errno 13] Permesso negato: '/var/crash/_usr_share_ntm_ntm.py.1000.crash'

Original exception was:
Traceback (most recent call last):
  File "ntm.py", line 528, in <module>
    ntm = NTM()
  File "ntm.py", line 77, in __init__
    self.ntmgui = ntmgui.NtmGui(self)
  File "/usr/share/ntm/ntmgui.py", line 40, in __init__
    gtkb.add_from_file("ntmgui_v.glade")
glib.GError: ID di oggetto "label2" duplicato alla riga 419 (il precedente è alla riga 79)


<<NEW RUN>>
0.9.3.2
2009-10-12 14:56:21
Linux amred-laptop 2.6.31-13-generic #44-Ubuntu SMP Sat Oct 10 15:27:55 UTC 2009 i686 GNU/Linux

Traceback (most recent call last):
  File "ntm.py", line 528, in <module>
    ntm = NTM()
  File "ntm.py", line 77, in __init__
    self.ntmgui = ntmgui.NtmGui(self)
  File "/usr/share/ntm/ntmgui.py", line 40, in __init__
    gtkb.add_from_file("ntmgui_v.glade")
glib.GError: ID di oggetto "vbox2" duplicato alla riga 410 (il precedente è alla riga 321)
Error in sys.excepthook:
Traceback (most recent call last):
  File "/usr/lib/python2.6/dist-packages/apport_python_hook.py", line 100, in apport_excepthook
    os.O_WRONLY|os.O_CREAT|os.O_EXCL), 'w')
OSError: [Errno 13] Permesso negato: '/var/crash/_usr_share_ntm_ntm.py.1000.crash'

Original exception was:
Traceback (most recent call last):
  File "ntm.py", line 528, in <module>
    ntm = NTM()
  File "ntm.py", line 77, in __init__
    self.ntmgui = ntmgui.NtmGui(self)
  File "/usr/share/ntm/ntmgui.py", line 40, in __init__
    gtkb.add_from_file("ntmgui_v.glade")
glib.GError: ID di oggetto "vbox2" duplicato alla riga 410 (il precedente è alla riga 321)

Si, stesso problema di prima. Ci sono identificatori con lo stesso valore in ntmgui_v.glade.
La nuova versione della libreria gtk che hai tu rileva come errore queste duplicazione, cosa che non succede con le mie (ubuntu 9.04).
Ho modificato direttamente il file, è in allegato. Lo devi sostituire a quello tuo.

Re: [Progetto] Soglie Traffico Internet + integrazione con NetworkManager

Inviato: lunedì 12 ottobre 2009, 17:37
da زΛςκΛζ
ecco l'output

Codice: Seleziona tutto


<NEW RUN>>
0.9.3.2
2009-10-12 07:07:37
Linux tommaso-laptop 2.6.31-13-generic #43-Ubuntu SMP Fri Oct 9 17:42:36 UTC 2009 i686 GNU/Linux

Traceback (most recent call last):
  File "ntm.py", line 528, in <module>
    ntm = NTM()
  File "ntm.py", line 77, in __init__
    self.ntmgui = ntmgui.NtmGui(self)
  File "/usr/share/ntm/ntmgui.py", line 40, in __init__
    gtkb.add_from_file("ntmgui_v.glade")
glib.GError: ID di oggetto "vbox1" duplicato alla riga 410 (il precedente è alla riga 321)
Error in sys.excepthook:
Traceback (most recent call last):
  File "/usr/lib/python2.6/dist-packages/apport_python_hook.py", line 100, in apport_excepthook
    os.O_WRONLY|os.O_CREAT|os.O_EXCL), 'w')
OSError: [Errno 13] Permesso negato: '/var/crash/_usr_share_ntm_ntm.py.1000.crash'

Original exception was:
Traceback (most recent call last):
  File "ntm.py", line 528, in <module>
    ntm = NTM()
  File "ntm.py", line 77, in __init__
    self.ntmgui = ntmgui.NtmGui(self)
  File "/usr/share/ntm/ntmgui.py", line 40, in __init__
    gtkb.add_from_file("ntmgui_v.glade")
glib.GError: ID di oggetto "vbox1" duplicato alla riga 410 (il precedente è alla riga 321)

ho come versione karmic koala

Re: [Progetto] Soglie Traffico Internet + integrazione con NetworkManager

Inviato: lunedì 12 ottobre 2009, 18:21
da NK
زΛςκΛζ ha scritto: ecco l'output

Codice: Seleziona tutto


<NEW RUN>>
0.9.3.2
2009-10-12 07:07:37
Linux tommaso-laptop 2.6.31-13-generic #43-Ubuntu SMP Fri Oct 9 17:42:36 UTC 2009 i686 GNU/Linux

Traceback (most recent call last):
  File "ntm.py", line 528, in <module>
    ntm = NTM()
  File "ntm.py", line 77, in __init__
    self.ntmgui = ntmgui.NtmGui(self)
  File "/usr/share/ntm/ntmgui.py", line 40, in __init__
    gtkb.add_from_file("ntmgui_v.glade")
glib.GError: ID di oggetto "vbox1" duplicato alla riga 410 (il precedente è alla riga 321)
Error in sys.excepthook:
Traceback (most recent call last):
  File "/usr/lib/python2.6/dist-packages/apport_python_hook.py", line 100, in apport_excepthook
    os.O_WRONLY|os.O_CREAT|os.O_EXCL), 'w')
OSError: [Errno 13] Permesso negato: '/var/crash/_usr_share_ntm_ntm.py.1000.crash'

Original exception was:
Traceback (most recent call last):
  File "ntm.py", line 528, in <module>
    ntm = NTM()
  File "ntm.py", line 77, in __init__
    self.ntmgui = ntmgui.NtmGui(self)
  File "/usr/share/ntm/ntmgui.py", line 40, in __init__
    gtkb.add_from_file("ntmgui_v.glade")
glib.GError: ID di oggetto "vbox1" duplicato alla riga 410 (il precedente è alla riga 321)

ho come versione karmic koala
Ok, stesso problema di Derma

Devi scaricarti il file allegato al mio precedente messaggio, decomprimi e sostituiscilo al tuo.
Istruzioni:
Scarica il file: ntmgui_v.glade.bz2
Apri un terminale

Codice: Seleziona tutto

cd DIRECTORY_FILE_SCARICATO
bzip2 -d ntmgui_v.glade.bz2
sudo cp ./ntmgui_v.glade /usr/share/ntm/
DIRECTORY_FILE_SCARICATO è la directory dove hai scaricato il file
Riavvia NTM

Fammi sapere

Re: [Progetto] Soglie Traffico Internet + integrazione con NetworkManager

Inviato: lunedì 12 ottobre 2009, 21:05
da زΛςκΛζ
ottimo funziona.....ora comincio a provarlo...

Re: [Progetto] Soglie Traffico Internet + integrazione con NetworkManager

Inviato: lunedì 12 ottobre 2009, 21:19
da derma
Sostituito il file in questione con quello da te allegato... funziona.